<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" >
	<script>
	  function check(value){
		if(value == "RSC"){
		  document.getElementById("RELEASE_NOTES").disabled = false;
		  document.getElementById("CLM1"         ).disabled = false;
		  document.getElementById("TABLEID"      ).disabled = true;
		  document.getElementById("CLM2"         ).disabled = true;
		}
		else if(value == "TBL"){
		  document.getElementById("RELEASE_NOTES").disabled = true;
		  document.getElementById("CLM1"         ).disabled = true;
		  document.getElementById("TABLEID"      ).disabled = false;
		  document.getElementById("CLM2"         ).disabled = false;
		}
		else if(value == "ALLCHECK"){
		  document.getElementById("RELEASE_NOTES").disabled = true;
		  document.getElementById("CLM1"         ).disabled = true;
		  document.getElementById("TABLEID"      ).disabled = true;
		  document.getElementById("CLM2"         ).disabled = true;
		}
	  }
	</script>

	<style>
		.word { font-family:'ＭＳ Ｐゴシック','MS PGothic','メイリオ', Meiryo ; }
	</style>
</og:head>

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "DOC32"
	title	= "予約語ﾁｪｯｸ"
	date    = "2019/11/15"
	author	= "Kazuhiko.Hasegawa"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT" onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table >
		<tr>
			<td><input type="radio" name="CHBOX" checked="checked" value="RSC" onClick="check(value);" /></td>
			<td><og:text>{@LBL.resource}</og:text></td>
			<og:column name="RELEASE_NOTES"		aimai="V*" />
			<og:column name="CLM1" lbl="CLM" dbType="XU"	aimai="V*" />
		</tr>
		<tr>
			<td><input type="radio" name="CHBOX" value="TBL" onClick="check(value);" /></td>
			<td><og:text>{@LBL.TABLE_CLM2}</og:text></td>
			<og:column name="TABLEID"		 dbType="XU"	aimai="V*"  disabled="true"	/>
			<og:column name="CLM2" lbl="CLM" dbType="XU"	aimai="V*"  disabled="true" />
		</tr>
		<tr>
			<td><input type="radio" name="CHBOX" value="ALLCHECK" onClick="check(value);" /></td><td colspan="3">All Check Resource ＆ Table</td>
		</tr>
	</table>
	<table >
		<tr>
			<og:column name="SYSTEM_ID" defaultVal="{@LAST.SYSTEM_ID}" must="true" size="5"	/>
			<og:select name="DBNAME" addNoValue="true">
				<og:queryOption>
						select DBNAME
						from GF19
						group by DBNAME
						order by DBNAME
				</og:queryOption>
			</og:select>
			<og:column name="CDYOYAKU"	/>
			<og:column name="DBID"		codeKeyVal="{@DBID_INFO}" defaultVal="GMISV6_T" />
		</tr>
	</table>

	<og:queryButton type="SELECT" />

	<!-- 拡張検索条件 -->
	<og:hideMenu>
		<table >
			<tr>
				<og:column name="WORK_DIR" lbl="workDir" size="100" maxlength="200" clazz="word" colspan="5"
					defaultVal="{@LAST.WORK_DIR}" />
			</tr>
			<tr>
				<og:column name="CALL_BAT3" lbl="call3_bat" size="30" defaultVal="300_RES_BAT_CALL.bat" />
				<og:column name="CALL_BAT4" lbl="call4_bat" size="30" defaultVal="400_DB_BAT_CALL.bat" />
				<og:column name="CHECK_DIR"	lbl="call2_bat" size="30" defaultVal="900_KAKUNIN_FILE" />
			</tr>
		</table>
	</og:hideMenu>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
